<?php
/*---------------------------------------------------------------*/
/*
    Titre : Changement des droits de fichiers FTP                                                                         
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=866
    Date dition     : 14 Fv 2019                                                                                        
*/
/*---------------------------------------------------------------*/

function ftpchmod($host , $user , $passwd , $files , $port=21){ 
 /* Paramtres : 
  * $host : hote FTP 
  * $user : login 
  * $passwd : mot de passe 
  * $files : tableau de fichiers avec les droits a attribuer 
  * array('nom du fichier'=>droits sous forme octal (0777, 0750),
...) 
  * $port : port de connexion 
  */ 
  
  $stream = ftp_connect($host, $port); 
  if (!ftp_login($stream, $user, $passwd)) 
  return FALSE; 
  
  if (!is_array($files)) 
  return FALSE; 
  $result = array(); 
  foreach($files as $file => $droits) 
  { 
  if (ftp_site($stream, "chmod $droits $file")) 
  $result[$file] = 'SUCCESS'; 
  else 
  $result[$file] = 'FAILURE'; 
  } 
  return $result;
}

?>